/* DebugPrc.h - include file for debug handler. */

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif

#ifndef EXEC_PORTS_H
#include <exec/ports.h>
#endif

#define PORTNAME "Debug-Handler Port"

struct debugmsg {
   struct Message msg;
   char string[1];
};

void opendebug(void);
void closedebug(void);
void dprintf(char *format,...);
void rawdprintf(char *format,...);

#define OPENCMD "__OPEN"
#define CLOSECMD "__CLOSE"

/* End of DebugPrc.h */
